Subject: [Fwd: [MMUSIC] [Fwd: I-D ACTION:draft-zimmermann-avt-zrtp-02.txt]]

From: Philip Zimmermann <[email-masked]>
Date: Wed, 25 Oct 2006 10:41:41 -0700

In the category of full disclosure, I wanted everyone to be aware of  
an Intellectual Property disclosure I just made to the IETF.  The  
full text can be found at:

     https://datatracker.ietf.org/public/ipr_detail_show.cgi?ipr_id=752

While patents are distasteful to me, and I have seen how they have  
been damaging in the crypto world, this is a purely defensive patent  
that I have filed.  My intention is to provide royalty-free licenses  
to anyone implementing ZRTP under most circumstances.  Provided they  
are not suing me or my customers for infringing a patent. ;-)

The exact text is:

"In relation to any IETF standard incorporating the technology in the  
ZRTP
specification ("ZRTP Technology"), Philip Zimmermann (together with his
successors and assignees, “PRZ”) will grant a royalty-free, non- 
exclusive
license to Qualified Parties to use the ZRTP Technology solely to the  
extent
necessary to implement and practice such IETF standards in strict  
conformance
with the IETF standards.  As used herein, Qualified Parties means a  
party who
has not, does not and will not assert, in litigation or otherwise,  
including in
licensing discussions, any patent or other intellectual property  
right against
PRZ or any licensee of the libZRTP SDK.  Any such license to a  
Qualified Party
shall terminate at once if such party asserts a patent or other  
intellectual
property right against PRZ or any licensee of the libZRTP SDK.  PRZ  
will grant
non-exclusive licenses to Non-Qualified Parties on reasonable,  
reciprocal
non-discriminatory terms and conditions."

I also wanted to use this to give some incentive for ZRTP  
implementors to truthfully implement the ZRTP disclosure flag in  
Appendix B of the new ZRTP Internet draft.  See http:// 
zfoneproject.com/disclosureflag.html

I will be in San Diego and would be happy to discuss this further  
with anyone who wishes.

-prz

On Oct 25, 2006, at 10:33 AM, Alan Johnston wrote:

>
>
> -------- Original Message --------
> Subject: 	[MMUSIC] [Fwd: I-D ACTION:draft-zimmermann-avt-zrtp-02.txt]
> Date: 	Wed, 25 Oct 2006 11:55:36 -0500
> From: 	Alan Johnston <[email-masked]>
> To: 	IETF MMUSIC WG <[email-masked]>
>
>
>
> All,
>
> The ZRTP I-D has been updated.  There are lots of changes in the  
> document including:
>
>
> - Discussion of how ZRTP compares using the criteria in draft-wing- 
> rtpsec-keying-eval-01.txt
>
> - Discovery and authentication of ZRTP through the signaling  
> channel and the definitions and ABNF of three SDP attributes  
> a=zrtp, a=zrtp-sas, a=zrtp-sasvalue.
>
> - New Multistream key agreement mode allowing SRTP keys for  
> multiple media streams in a session to be derived from a single   
> ZRTP DH exchange.
>
> - CRC protection of ZRTP messages against transport errors using a  
> 32 bit CRC algorithm
>
> - Use of RTP no-op packets instead of comfort noise packets
>
> - Simplified shared secret comparison algorithm
>
> - New Stay secure and Disclosure flags
>
> - More details on caching of retained shared secrets including  
> expiration intervals
>
> - Removal of Error message - Reason field added to GoClear
>
> - Discussion of the behavior of intermediary devices that might  
> implement ZRTP
>
>
> We will be discussing the changes in the ZRTP protocol in the AVT  
> working group and the SDP attributes in MMUSIC.
>
> As always, comments and feedback are most welcome.
>
> Thanks,
> Alan
>
> -------- Original Message --------
> Subject: 	I-D ACTION:draft-zimmermann-avt-zrtp-02.txt
> Date: 	Tue, 24 Oct 2006 15:50:02 -0400
> From: 	[email-masked]
> Reply-To: 	[email-masked]
> To: 	[email-masked]
>
>
>
> A New Internet-Draft is available from the on-line Internet-Drafts  
> directories.
>
>
> 	Title		: ZRTP: Extensions to RTP for Diffie-Hellman Key Agreement  
> for SRTP
> 	Author(s)	: P. Zimmermann, et al.
> 	Filename	: draft-zimmermann-avt-zrtp-02.txt
> 	Pages		: 52
> 	Date		: 2006-10-24
> 	
> This document defines ZRTP, RTP (Real-time Transport Protocol) header
>  extensions for a Diffie-Hellman exchange to agree on a session key
>  and parameters for establishing Secure RTP (SRTP) sessions.  The ZRTP
>  protocol is completely self-contained in RTP and does not require
>  support in the signaling protocol or assume a Public Key
>  Infrastructure (PKI) infrastructure.  For the media session, ZRTP
>  provides confidentiality, protection against Man in the Middle (MitM)
>  attacks, and, in cases where a secret is available from the signaling
>  protocol, authentication.  ZRTP can utilize three Session Description
>  Protocol (SDP) attributes to provide discovery and authentication
>  through the signaling channel.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-zimmermann-avt-zrtp-02.txt
>
> To remove yourself from the I-D Announcement list, send a message  
> to [email-masked] with the word unsubscribe in the  
> body of the message. You can also visit https://www1.ietf.org/ 
> mailman/listinfo/I-D-announce to change your subscription settings.
>
> Internet-Drafts are also available by anonymous FTP. Login with the  
> username "anonymous" and a password of your e-mail address. After  
> logging in, type "cd internet-drafts" and then "get draft- 
> zimmermann-avt-zrtp-02.txt".
>
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html or ftp://ftp.ietf.org/ietf/1shadow- 
> sites.txt
>
> Internet-Drafts can also be obtained by e-mail.
>
> Send a message to:
> 	[email-masked].
> In the body type:
> 	"FILE /internet-drafts/draft-zimmermann-avt-zrtp-02.txt".
> 	
> NOTE:	The mail server at ietf.org can return the document in
> 	MIME-encoded form by using the "mpack" utility.  To use this
> 	feature, insert the command "ENCODING mime" before the "FILE"
> 	command.  To decode the response(s), you will need "munpack" or
> 	a MIME-compliant mail reader.  Different MIME-compliant mail readers
> 	exhibit different behavior, especially when dealing with
> 	"multipart" MIME messages (i.e. documents which have been split
> 	up into multiple messages), so check your local documentation on
> 	how to manipulate these messages.
>
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
>
>
>
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mmusic
>
>

----------------------------------------------
Philip R Zimmermann        [email-masked]
http://philzimmermann.com  tel +1 650 322-7223
(spelled with 2 n's)       fax +1 650 322-7877

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic